r38175 - in /trunk/libtest-simple-perl/debian: README.source changelog repack.sh rules watch

carnil-guest at users.alioth.debian.org carnil-guest at users.alioth.debian.org
Tue Jun 16 18:55:35 UTC 2009


Author: carnil-guest
Date: Tue Jun 16 18:55:29 2009
New Revision: 38175

URL: http://svn.debian.org/wsvn/pkg-perl/?sc=1&rev=38175
Log:
* debian/rules:
  - Minimize debian/rules and bump Build-Depends on needed debhelper 
  - Add the get-orig-source target
* debian/watch add repack.sh to remove Test::Builder::IO::Scalar which is
  a copy of IO::Scalar which ships with Test::Builder to support scalar 
  references as filehandles on Perl 5.6.
* Add a README.source to explain why we have to repack the source tarball. 

Added:
    trunk/libtest-simple-perl/debian/README.source
    trunk/libtest-simple-perl/debian/repack.sh   (with props)
Modified:
    trunk/libtest-simple-perl/debian/changelog
    trunk/libtest-simple-perl/debian/rules
    trunk/libtest-simple-perl/debian/watch

Added: trunk/libtest-simple-perl/debian/README.source
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libtest-simple-perl/debian/README.source?rev=38175&op=file
==============================================================================
--- trunk/libtest-simple-perl/debian/README.source (added)
+++ trunk/libtest-simple-perl/debian/README.source Tue Jun 16 18:55:29 2009
@@ -1,0 +1,12 @@
+The original tarball is repackaged, in order to remove
+
+	lib/Test/Builder/IO/Scalar.pm
+
+from source, since this is undistributable (missing license) and is a
+copy of IO::Scalar itself. The file contains the following statement:
+
+	This is a copy of IO::Scalar which ships with Test::Builder to
+	support scalar references as filehandles on Perl 5.6.
+
+To ease the creation of a new tarball debian/repack.sh can be used,
+which is also called by debian/rules' get-orig-source target.

Modified: trunk/libtest-simple-perl/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libtest-simple-perl/debian/changelog?rev=38175&op=diff
==============================================================================
--- trunk/libtest-simple-perl/debian/changelog (original)
+++ trunk/libtest-simple-perl/debian/changelog Tue Jun 16 18:55:29 2009
@@ -1,10 +1,4 @@
-libtest-simple-perl (0.88-1) UNRELEASED; urgency=low
-
-    TODO: remove copied IO::Scalar (as Test::Builder::IO::Scalar) from the
-          .orig (it is also shipped in the package)
-          rationale: code duplication
-                     module without explicit license
-                     no copyright specified (not that bad, there are authors)
+libtest-simple-perl (0.88+dfsg-1) UNRELEASED; urgency=low
 
   [ Nathan Handler ]
   * debian/watch: Update to ignore development releases.
@@ -14,11 +8,17 @@
   * Remove Florian Ragwitz from Uploaders (Closes: #523233)
   * Add myself to Uploaders. 
   * Adjust copyright dates for debian/* packaging. 
-  * Minimize debian/rules and bump Build-Depends on needed debhelper 
-    version (>= 7.0.50).
+  * debian/rules:
+    - Minimize debian/rules and bump Build-Depends on needed debhelper 
+      version (>= 7.0.50).
+    - Add the get-orig-source target
   * Bump Standard-Versions to 3.8.1. 
+  * debian/watch add repack.sh to remove Test::Builder::IO::Scalar which is
+    a copy of IO::Scalar which ships with Test::Builder to support scalar 
+    references as filehandles on Perl 5.6.
+  * Add a README.source to explain why we have to repack the source tarball. 
 
- -- Salvatore Bonaccorso <salvatore.bonaccorso at gmail.com>  Thu, 11 Jun 2009 20:53:34 +0200
+ -- Salvatore Bonaccorso <salvatore.bonaccorso at gmail.com>  Tue, 16 Jun 2009 20:48:59 +0200
 
 libtest-simple-perl (0.86-1) unstable; urgency=low
 

Added: trunk/libtest-simple-perl/debian/repack.sh
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libtest-simple-perl/debian/repack.sh?rev=38175&op=file
==============================================================================
--- trunk/libtest-simple-perl/debian/repack.sh (added)
+++ trunk/libtest-simple-perl/debian/repack.sh Tue Jun 16 18:55:29 2009
@@ -1,0 +1,39 @@
+#!/bin/sh
+# Repackage upstream source to exclude non-distributable files
+# should be called as "repack.sh --upstream-source <ver> <downloaded file>
+# (for example, via uscan)
+
+set -e
+set -u
+
+VER="$2"
+FILE="$3"
+PKG=`dpkg-parsechangelog|grep ^Source:|sed 's/^Source: //'`
+
+REPACK_DIR="$PKG-$VER.orig"
+
+echo -e "\nRepackaging $FILE\n"
+
+DIR=`mktemp -d ./tmpRepackXXXXXX`
+trap "rm -rf \"$DIR\"" QUIT INT EXIT
+
+UP_BASE="$DIR/unpack"
+mkdir "$UP_BASE"
+tar xzf "$FILE" -C "$UP_BASE"
+
+if [ `ls -1 "$UP_BASE" | wc -l` -eq 1 ]; then
+	UP_BASE="$UP_BASE/`ls -1 "$UP_BASE"`"
+fi
+
+rm -vr $UP_BASE/lib/Test/Builder/IO/Scalar.pm
+
+sed -i '\,lib/Test/Builder/IO/Scalar.pm, D' $UP_DIR/MANIFEST $UP_DIR/SIGNATURE
+
+mv "$UP_BASE" "$DIR/$REPACK_DIR"
+
+tar cfC "$DIR/repacked.tar" "$DIR" "$REPACK_DIR"
+gzip -9 < "$DIR/repacked.tar" > "$DIR/repacked.tar.gz"
+
+mv "$DIR/repacked.tar.gz" "$FILE"
+
+echo "*** $FILE repackaged"

Propchange: trunk/libtest-simple-perl/debian/repack.sh
------------------------------------------------------------------------------
    svn:executable = *

Modified: trunk/libtest-simple-perl/debian/rules
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libtest-simple-perl/debian/rules?rev=38175&op=diff
==============================================================================
--- trunk/libtest-simple-perl/debian/rules (original)
+++ trunk/libtest-simple-perl/debian/rules Tue Jun 16 18:55:29 2009
@@ -5,3 +5,6 @@
 
 override_dh_auto_test:
 	AUTHOR_TESTING=1 dh_auto_test
+
+get-orig-source:
+	uscan --verbose --force-download

Modified: trunk/libtest-simple-perl/debian/watch
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libtest-simple-perl/debian/watch?rev=38175&op=diff
==============================================================================
--- trunk/libtest-simple-perl/debian/watch (original)
+++ trunk/libtest-simple-perl/debian/watch Tue Jun 16 18:55:29 2009
@@ -1,2 +1,5 @@
 version=3
-http://search.cpan.org/dist/Test-Simple/  .+/Test-Simple-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
+opts=dversionmangle=s/\+dfsg// \
+http://search.cpan.org/dist/Test-Simple/  \
+.+/Test-Simple-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$ \
+debian sh debian/repack.sh




More information about the Pkg-perl-cvs-commits mailing list